import 'vue-router';
declare module '*.vue' {
  import { DefineComponent } from 'vue';
  // eslint-disable-next-line @typescript-eslint/no-explicit-any, @typescript-eslint/ban-types
  const component: DefineComponent<{}, {}, any>;
  export default component;
}

declare module 'vue-router' {
  interface RouteMeta {
    login?: boolean; //是否需要登录
    title?: string; // 标题
    bread?: string; //面包屑名字
  }
}
declare global {
  interface Window {
    tvWidget: any;
  }
}
